// p_3.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "iostream"
using namespace std;
double topla(int a,int b)
{
	return a+b;
}
double cikar(int a,int b)
{
	return a-b;
}
double carp(int a,int b)
{
	return a*b;
}
double bol(int a,int b)
{
	return a/b;
}
double islem(int a,int b, double (*fonk) (int,int))
{
	return fonk(a,b);
}
int _tmain(int argc, _TCHAR* argv[])
{
	double (*t)  (int,int)=topla;
	double (*c)  (int,int)=cikar;
	double (*cc)  (int,int)=carp;
	double (*b)  (int,int)=bol;
	double (*q) (int,int);
printf("Topla= %x \n",t);
printf("cikar= %x \n",c);
printf("carp= %x \n",cc);
printf("bol= %x \n",b);
	scanf_s("%x",&q);
	cout<<islem(6,7,q)<<endl;
	system("pause");
	return 0;
}

